<?php

declare(strict_types=1);

namespace DigiComp\FluidRenderFunctions\Tests\Functional\Fixtures\Controller;

use Neos\Flow\Mvc\Controller\ActionController;
use Neos\Flow\Persistence\Doctrine\Query;
use Neos\FluidAdaptor\Tests\Functional\Form\Fixtures\Domain\Model\Tag;

class TestController extends ActionController
{
    public function indexAction()
    {
        $this->view->assign('test', ['name' => 'hallo']);
    }

    public function selectAction()
    {
        $this->view->assign('testEntities', (new Query(Tag::class))->execute());
    }
}
